/**
 * 
 */
package com.ejie.ad74a.model;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * Representacion de un registro de la tabla AE01B.AE01B01T00 CONCEPTOS_LIQ
 * @author BICUGUAL
 */
public class Concepto implements Serializable {

	private static final long serialVersionUID = 1L;

	private TipoIngreso idConcepto;
	private Long idLiquidacion;
	private BigDecimal importe;
	private int numLinea;

	public Concepto() {
		super();
	}

	public Concepto(TipoIngreso idConcepto, Long idLiquidacion, BigDecimal importe, int numLinea) {
		super();
		this.idConcepto = idConcepto;
		this.idLiquidacion = idLiquidacion;
		this.importe = importe;
		this.numLinea = numLinea;
	}

	public TipoIngreso getIdConcepto() {
		return idConcepto;
	}

	public void setIdConcepto(TipoIngreso idConcepto) {
		this.idConcepto = idConcepto;
	}

	public Long getIdLiquidacion() {
		return idLiquidacion;
	}

	public void setIdLiquidacion(Long idLiquidacion) {
		this.idLiquidacion = idLiquidacion;
	}

	public BigDecimal getImporte() {
		return importe;
	}

	public void setImporte(BigDecimal importe) {
		this.importe = importe;
	}

	public int getNumLinea() {
		return numLinea;
	}

	public void setNumLinea(int numLinea) {
		this.numLinea = numLinea;
	}

	@Override
	public String toString() {
		return "Concepto [idConcepto=" + idConcepto + ", idLiquidacion=" + idLiquidacion + ", importe=" + importe
				+ ", numLinea=" + numLinea + "]";
	}

}
